Bug 425925 - xfce-mcs-manager crashes w/ "invalid next size"
xfce-mcs-manager crashes w/ "invalid next size"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce-mcs-manager (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 04:12 EST by Phil
Modified: 2008-02-16 17:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 17:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors (54.35 KB, application/octet-stream)
2007-12-17 12:57 EST, Phil
no flags Details

  None (edit)
Description Phil 2007-12-17 04:12:02 EST
Description of problem:
After upgrading from 4.4.1 to 4.4.2 xfce won't come up correctly. Virtual
desktops, appearance settings and other customizations are lost, right-clicking
on desktop for showing up the menu doesn't work anymore.

Version-Release number of selected component (if applicable):
xfce-mcs-manager-4.4.2-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. xfce4 upgrade from 4.4.1-2.fc7 to 4.4.2-1.fc7
2. ???
3. profit
  
Actual results:
xfce-mcs-manager crashes after startup which results in most user defined
settings being lost, background picture not showing up etc. etc.

Expected results:
xfce4 coming up correctly.

Additional info:
xsession-errors shows that xfce-mcs-manager crashes. Output:
--%snip%--
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: Querying XINPUT extension
** Message: XINPUT extension found
** Message: Querying Xkb extension
** Message: Xkb extension found
*** glibc detected *** xfce-mcs-manager: free(): invalid next size (fast):
0x0862e1c0 ***
======= Backtrace: =========
/lib/libc.so.6[0x85bdf1]
/lib/libc.so.6(cfree+0x90)[0x85f430]
/lib/libglib-2.0.so.0(g_free+0x31)[0x787a91]
/usr/lib/xfce4/mcs-plugins/mouse_plugin.so[0x1c9e746]
/usr/lib/xfce4/mcs-plugins/mouse_plugin.so[0x1c9e93d]
/usr/lib/xfce4/mcs-plugins/mouse_plugin.so(mcs_plugin_init+0x51d)[0x1c9eead]
xfce-mcs-manager(main+0x208)[0x804a568]
/lib/libc.so.6(__libc_start_main+0xe0)[0x809f70]
xfce-mcs-manager[0x8049b71]
--%snip%--
Comment 1 Phil 2007-12-17 04:19:34 EST
It might be a xfce-4.4.2/wacom issue. After removing the wacom lines for my
graphic tablet from xorg.conf xfce is coming up correctly.

I'm using linuxwacom-0.7.6.4-3.fc7
Comment 2 Kevin Fenzi 2007-12-17 11:45:35 EST
Interesting. This worked ok with 4.4.1? 

Can you do the following: 

- run 'yum install yum-utils' then 'debuginfo-install xfce-mcs-manager
xfce-mcs-plugins' 
- Then reproduce the crash again and paste in the new backtrace here. 

Thanks for the report!
Comment 3 Phil 2007-12-17 12:57:27 EST
Created attachment 289789 [details]
.xsession-errors
Comment 4 Phil 2007-12-17 12:58:22 EST
Yes it worked fine with 4.4.1.

I installed the debug files and attached the ~/.xsession-errors.
Comment 5 Kevin Fenzi 2007-12-17 15:24:22 EST
Can you try updating with a test package at:

http://www.scrye.com/~kevin/fedora/xfce-mcs-plugins/xfce-mcs-plugins-4.4.2-2.fc7.i386.rpm

and see if that fixes the issue?
Comment 6 Phil 2007-12-17 16:59:12 EST
Thanks for your help.

I still get the same error. Shall I post the current ~/.xsession-errors
(apparently only addresses have changed)?
Comment 7 Kevin Fenzi 2007-12-17 19:55:27 EST
Thanks for testing. 

Can you try: 

rpm -Uvh --oldpackage
http://www.scrye.com/~kevin/fedora/xfce-mcs-plugins/xfce-mcs-plugins-4.4.2-2.fc7.i386.rpm

This is a new version with another patch from upstream. 
Someone else seeing the same problem said it fixed things for them. 

If you can test and let me know how it goes that would be great!
Comment 8 Phil 2007-12-18 04:44:57 EST
It works! Thanks a lot :)
Comment 9 Kevin Fenzi 2007-12-18 22:16:19 EST
Excellent. I am going to push out an update for this to F-7/F-8/rawhide. 

This updated version will be the same as the one you are testing...so if you
want to use the official signed update you will need to replace that package on
your local machine. 

Thanks for reporting this!
Comment 10 Fedora Update System 2007-12-20 14:53:15 EST
xfce-mcs-plugins-4.4.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce-mcs-plugins'
Comment 11 Fedora Update System 2007-12-20 15:15:02 EST
xfce-mcs-plugins-4.4.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce-mcs-plugins'
Comment 12 Fedora Update System 2008-01-18 18:56:22 EST
xfce-mcs-plugins-4.4.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-01-18 18:56:27 EST
xfce-mcs-plugins-4.4.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.